Type to search.

Explain the lifecycle state

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.6 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get the current lifecycle status for one or more indices. For data streams, the API retrieves the current lifecycle status for the stream's backing indices.

The response indicates when the index entered each lifecycle state, provides the definition of the running phase, and information about any failures.

About explaining lifecycle state

Required privileges

Index privileges view_index_metadata manage_ilm

Path parameters

index string required

Comma-separated list of data streams, indices, and aliases to target. Supports wildcards (*). To target all data streams and indices, use * or _all.

Query parameters

only_errors boolean

Filters the returned indices to only indices that are managed by ILM and are in an error state, either due to an encountering an error while executing the policy, or attempting to use a policy that does not exist.

only_managed boolean

Filters the returned indices to only indices that are managed by ILM.

master_timeout string · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Response

application/json
indices map string to oneOf required
<string> union oneOf
One of:
managed: true
managed enum required
Values: true
action string
action_time union oneOf
One of: string or number
action_time_millis number
age string
age_in_millis number The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
failed_step string
failed_step_retry_count number
index string required
index_creation_date union oneOf
One of: string or number
index_creation_date_millis number
is_auto_retryable_error boolean
lifecycle_date union oneOf
One of: string or number
lifecycle_date_millis number
phase string
phase_time union oneOf
One of: string or number
phase_time_millis number
policy string
previous_step_info map string to object
repository_name string
snapshot_name string
shrink_index_name string
step string
step_info map string to object
step_time union oneOf
One of: string or number
step_time_millis number
time_since_index_creation string
skip boolean required